"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.aliasEndpoints = void 0;
const request_factory_1 = require("../request-factory");
/**
 * Binder function between the MailcowClient class and the AliasEndpoints.
 * @param bind - The MailcowClient to bind.
 * @internal
 */
function aliasEndpoints(bind) {
    return {
        get(id = 'all') {
            return (0, request_factory_1.wrapPromiseToArray)(bind.requestFactory.get(`/api/v1/get/alias/${id}`));
        },
        create: (payload) => {
            return bind.requestFactory.post('/api/v1/add/alias', payload);
        },
        edit: (payload) => {
            return bind.requestFactory.post('/api/v1/edit/alias', payload);
        },
        delete: (payload) => {
            return bind.requestFactory.post('/api/v1/delete/alias', payload.items);
        }
    };
}
exports.aliasEndpoints = aliasEndpoints;
//# sourceMappingURL=alias-endpoints.js.map