"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.antiSpamEndpoints = void 0;
/**
 * Binder function between the MailcowClient class and the AntiSpamEndpoints
 * @param bind - The MailcowClient to bind.
 * @internal
 */
function antiSpamEndpoints(bind) {
    return {
        create(payload) {
            return bind.requestFactory.post('/api/v1/add/domain-policy', payload);
        },
        delete(payload) {
            return bind.requestFactory.post('/api/v1/delete/domain-policy', payload.prefid);
        },
        get(payload) {
            return bind.requestFactory.get(`/api/v1/get/policy_${payload.type}_domain/${payload.domain}`);
        }
    };
}
exports.antiSpamEndpoints = antiSpamEndpoints;
//# sourceMappingURL=antispam-endpoints.js.map