"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.domainEndpoints = void 0;
const request_factory_1 = require("../request-factory");
/**
 * Binder function between the MailcowClient class and the DomainEndpoints.
 * @param bind - The MailcowClient to bind.
 * @internal
 */
function domainEndpoints(bind) {
    return {
        get(domain = 'all') {
            return (0, request_factory_1.wrapPromiseToArray)(bind.requestFactory.get(`/api/v1/get/domain/${domain}`));
        },
        create(payload) {
            return bind.requestFactory.post('/api/v1/add/domain', payload);
        },
        delete(payload) {
            return bind.requestFactory.post('/api/v1/delete/domain', payload.domains);
        },
        edit(payload) {
            return bind.requestFactory.post('/api/v1/edit/domain', payload);
        }
    };
}
exports.domainEndpoints = domainEndpoints;
//# sourceMappingURL=domain-endpoints.js.map