"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.forwardingEndpoints = void 0;
/**
 * Binder function between the MailcowClient class and the ForwardingEndpoints.
 * @param bind - The MailcowClient to bind.
 * @internal
 */
function forwardingEndpoints(bind) {
    return {
        delete(payload) {
            return bind.requestFactory.post('/api/v1/delete/fwdhost', payload.items);
        },
        create(payload) {
            return bind.requestFactory.post('/api/v1/add/fwdhost', payload);
        },
        getAll() {
            return bind.requestFactory.get('/api/v1/get/fwdhost/all');
        }
    };
}
exports.forwardingEndpoints = forwardingEndpoints;
//# sourceMappingURL=forwarding-endpoints.js.map